=== debian/changelog ===
libaunit (21.0.0.fa386849-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:00:47 +0100

libaunit (21.0.0.fa386849-1) experimental; urgency=medium

  * New upstream snapshot (no ALI/SO bump in experimental).
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging accordingly.
  * Upstream removes invariant sections from GFDL-1.3+.
    Add a Debian -doc package for the user guide and move examples there.
    New patches: doc-conf-python3, doc-conf-sphinx4, clean-doc.diff.
  * tests: check installed examples instead of using source tree.
  * Upstream recommends to watch github instead of the community website.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 19 Oct 2020 23:36:00 +0000

libaunit (20-1) experimental; urgency=medium

  * New upstream release built with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13.
  * Drop obsolete Pre-Depends.
  * Prevent a warning on stderr during autopkgtests.
  * Replace user_gpr_args.diff with a simple workaround.
  * Pass build flags via the environment.
  * Call make via dh_auto_build, with options like -j2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 22 May 2020 14:11:30 +0000
