=== debian/control ===
Source: libaunit
Section: libdevel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 dh-sequence-ada-library,
 gnat,
# This line is parsed by debian/rules:
 gnat-10,
# gprbuild compatible with gnat-6
 gprbuild (>= 2015-2),
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
# Sphinx >= 1.6 uses the latexmk driver:
 latexmk,
# fixing #869098:
 python3-sphinx (>= 1.6.3-2),
# To deduplicate examples in rules.
 rdfind,
 symlinks,
# makeinfo:
 texinfo,
# ptmr8t.tfm:
 texlive-fonts-recommended,
# fncychap.sty:
 texlive-latex-extra,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/AdaCore/aunit
Vcs-Browser: https://salsa.debian.org/debian/libaunit
Vcs-Git: https://salsa.debian.org/debian/libaunit.git

Package: libaunit20-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libaunit-doc
Description: AUnit, a unit testing framework for Ada: development
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 Install this package if you want to write programs that use AUnit.

Package: libaunit20
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AUnit, a unit testing framework for Ada: shared library
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 This package contains the runtime shared library.

Package: libaunit-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: gnat
# Examples were in the -dev package when there was no -doc package.
Replaces: libaunit18-dev, libaunit-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
Breaks: libaunit18-dev, libaunit-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
Description: AUnit, a unit testing framework for Ada: documentation
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 This package contains the manual and examples.
