=== debian/tests/control ===
Tests: link-with-shared examples
Depends: @, gprbuild
