=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aunit-$1.tar.gz%,\
      dversionmangle=s/^20//" \
https://github.com/AdaCore/aunit/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
