## libaunit 22.0.0

=== debian/changelog ===
libaunit (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:48:16 +0200

libaunit (22.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-11 in experimental.
    Rename -dev and library packages accordingly.
  * Drop obsolete version restriction in build-dependencies.
  * Build-Depend: tex-gyre. Closes: #997445.
  * Standards-Version: 4.6.0.
  * Add missing copyright stanza for sphinx.sty.
  * Use unversioned debian_packaging.mk from gnat package.
  * Add upstream metadata.
  * uscan: remove unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 22 Mar 2022 12:36:57 +0000
