=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
  gnat,
-# This line is parsed by debian/rules:
- gnat-10,
-# gprbuild compatible with gnat-6
- gprbuild (>= 2015-2),
+ gnat-11,
+ gprbuild,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
 # Sphinx >= 1.6 uses the latexmk driver:
@@ -20,19 +19,20 @@
 # To deduplicate examples in rules.
  rdfind,
  symlinks,
+ tex-gyre,
 # makeinfo:
  texinfo,
 # ptmr8t.tfm:
  texlive-fonts-recommended,
 # fncychap.sty:
  texlive-latex-extra,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/aunit
 Vcs-Browser: https://salsa.debian.org/debian/libaunit
 Vcs-Git: https://salsa.debian.org/debian/libaunit.git
 
-Package: libaunit20-dev
+Package: libaunit21-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libaunit-doc
@@ -48,7 +48,7 @@
  .
  Install this package if you want to write programs that use AUnit.
 
-Package: libaunit20
+Package: libaunit21
 Section: libs
 Architecture: any
 Multi-Arch: same
