=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
-$(foreach line,$(shell sed -n '\
-  s/^ gnat-\([0-9.]\+\),$$/              GNAT_VERSION:=\1 /p;\
-  s/^Package: lib[a-z-]\+\([0-9.]\+\)$$/ SOVERSION:=\1    /p;\
-  ' debian/control),$(eval $(line)))
+SOVERSION != \
+  sed -n '/^Package: libaunit\([0-9.]\+\)$$/{s//\1/p;q}' debian/control
 
 DPKG_EXPORT_BUILDFLAGS := 1
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
@@ -13,7 +11,8 @@
   -Wl,--no-copy-dt-needed-entries \
   -Wl,--no-undefined
 include /usr/share/dpkg/buildflags.mk
-include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
+include /usr/share/dpkg/buildopts.mk
+include $(wildcard /usr/share/ada/debian_packaging.mk)
 # wildcard in case only Build-Depends-Indep are installed.
 
 %:
@@ -26,9 +25,10 @@
 
 override_dh_auto_build-arch:
 # static library
-	dh_auto_build -- GPRBUILD='gprbuild $(BUILDER_OPTIONS)'
+	dh_auto_build -- GPRBUILD='gprbuild $(GPRBUILDFLAGS)'
 # shared library
-	SOVERSION=$(SOVERSION) dh_auto_build -- GPRBUILD='gprbuild $(BUILDER_OPTIONS)'
+	SOVERSION=$(SOVERSION) \
+	dh_auto_build -- GPRBUILD='gprbuild $(GPRBUILDFLAGS)'
 
 ######################################################################
 INSTALLED_EXAMPLES := \
@@ -45,5 +45,6 @@
   ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
     # Replace sphinx.sty copy with with packaged one.
 	ln -fs /usr/share/sphinx/texinputs/sphinx.sty doc/share/sphinx.sty
-	$(MAKE) -Cdoc aunit_cb.html aunit_cb.pdf aunit_cb.txt
+	dh_auto_build --sourcedirectory=doc -- aunit_cb.html aunit_cb.pdf aunit_cb.txt \
+	  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL))
   endif
