=== debian/changelog ===
libaunit (23.0.0-3) unstable; urgency=medium

  * Break/Replace libaunit*-dev since oldstable. Closes: #1034934.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 22:30:19 +0200

libaunit (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:11:06 +0100

libaunit (23.0.0-1) experimental; urgency=medium

  * Build with unicode 15. No -dev renamings in experimental.
  * New upstream version (unchanged from previous snapshot).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Nov 2022 12:16:46 +0000

libaunit (23~20220908-3) experimental; urgency=medium

  * Build new snapshot with gcc/12 for experimental.
    Rename -dev package accordingly.
  * Install with gprinstall and dh-ada-library/8.1.
  * Stop build-depending on the unversioned gnat.
  * Standards-Version 4.6.1
  * Disable parallelism in 'make doc' (it is enabled in sphinx).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 14 Sep 2022 14:41:42 +0000
