=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 7.5),
+ dh-ada-library (>= 8.1),
  dh-sequence-ada-library,
- gnat,
- gnat-11,
+ gnat-12,
  gprbuild,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
@@ -26,13 +25,15 @@
  texlive-fonts-recommended,
 # fncychap.sty:
  texlive-latex-extra,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/aunit
 Vcs-Browser: https://salsa.debian.org/debian/libaunit
 Vcs-Git: https://salsa.debian.org/debian/libaunit.git
 
-Package: libaunit21-dev
+Package: libaunit22-dev
+Breaks: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev
+Replaces: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libaunit-doc
