=== debian/changelog ===
libaunit (24.0.0-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:40:05 +0000

libaunit (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:25:45 +0100

libaunit (24.0.0-1) experimental; urgency=medium

  * New upstream release, requiring python3-sphinx-rtd-theme.
  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Improve readability of debian/rules.
  * Simplify adapt_projects.diff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 Dec 2023 00:02:30 +0000
