=== debian/rules ===
--- 
+++ 
@@ -18,20 +18,22 @@
 ######################################################################
 # clean target is OK.
 
+project := -Plib/gnat/aunit.gpr
+static := -XAUNIT_LIBRARY_KIND=static
+shared := -XAUNIT_LIBRARY_KIND=relocatable \
+  -XAUNIT_LIBRARY_VERSION=libaunit.so.$(aunit_SO_VERSION)
+
 override_dh_auto_build-arch:
-# static library
-	gprbuild lib/gnat/aunit.gpr $(GPRBUILDFLAGS) -XSOVERSION=
-# shared library
-	gprbuild lib/gnat/aunit.gpr $(GPRBUILDFLAGS) \
-	  -XSOVERSION=$(aunit_SO_VERSION)
+	gprbuild $(project) $(static) $(GPRBUILDFLAGS)
+	gprbuild $(project) $(shared) $(GPRBUILDFLAGS)
 
 override_dh_auto_install-arch:
-	gprinstall lib/gnat/aunit.gpr $(static_GPRINSTALLFLAGS) -XSOVERSION=
-	gprinstall lib/gnat/aunit.gpr $(call shared_GPRINSTALLFLAGS,aunit) \
-	  -XSOVERSION=$(aunit_SO_VERSION)
+	gprinstall $(project) $(static) $(static_GPRINSTALLFLAGS)
+	gprinstall $(project) $(shared) $(call shared_GPRINSTALLFLAGS,aunit)
+
 ######################################################################
 INSTALLED_EXAMPLES := \
-  debian/libaunit-doc/usr/share/doc/libaunit-doc/examples/*/
+  debian/libaunit-doc/usr/share/doc/libaunit-dev/examples/*/
 
 .PHONY: execute_after_dh_installexamples-indep
 execute_after_dh_installexamples-indep:
