=== debian/tests/control ===
Tests: examples
Depends: gprbuild, libaunit-dev, libaunit-doc

Tests: link-with-shared
Depends: gprbuild, libaunit-dev
