=== debian/changelog ===
libaunit (25.0.0-2build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:37 +0200

libaunit (25.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 10 Mar 2025 14:06:01 +0100

libaunit (25.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-14.
    Remove sphinx.sty stuff.
  * Update Standards-Version and copyright years.
  * Enable salsa continuous integration via debian/salsa-ci.yml.
  * Add upstream VCS to debian/gbp.conf.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 Jan 2025 12:39:09 +0000
