=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 8.1),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat-12,
- gprbuild,
+ gnat,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2),
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
 # Sphinx >= 1.6 uses the latexmk driver:
  latexmk,
 # fixing #869098:
  python3-sphinx (>= 1.6.3-2),
+ python3-sphinx-rtd-theme,
 # To deduplicate examples in rules.
  rdfind,
  symlinks,
@@ -25,15 +27,18 @@
  texlive-fonts-recommended,
 # fncychap.sty:
  texlive-latex-extra,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/aunit
 Vcs-Browser: https://salsa.debian.org/debian/libaunit
 Vcs-Git: https://salsa.debian.org/debian/libaunit.git
 
-Package: libaunit22-dev
-Breaks: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev
-Replaces: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev
+Package: libaunit-dev
+Breaks: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev,
+ libaunit22-dev
+Replaces: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev,
+ libaunit22-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libaunit-doc
@@ -49,7 +54,7 @@
  .
  Install this package if you want to write programs that use AUnit.
 
-Package: libaunit21
+Package: libaunit22
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -74,8 +79,8 @@
 Built-Using: ${sphinxdoc:Built-Using}
 Suggests: gnat
 # Examples were in the -dev package when there was no -doc package.
-Replaces: libaunit18-dev, libaunit-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
-Breaks: libaunit18-dev, libaunit-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
+Replaces: libaunit18-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
+Breaks: libaunit18-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
 Description: AUnit, a unit testing framework for Ada: documentation
  AUnit is a set of Ada packages based on the xUnit family of unit test
  frameworks. It's intended as a developer's tool to facilitate
