=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,6 @@
 
 override_dh_auto_build-indep:
   ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-    # Replace sphinx.sty copy with with packaged one.
-	ln -fs /usr/share/sphinx/texinputs/sphinx.sty doc/share/sphinx.sty
     # Avoid dh_auto_build (make -jN would launch several sphinx).
 	$(MAKE) -Cdoc aunit_cb.html aunit_cb.pdf aunit_cb.txt \
 	  $(DEB_BUILD_OPTION_PARALLEL:%=SPHINXOPTS=-j%)
